test:
  script:
    - apt-get update -qy
    - apt-get install -y python3-dev python3-pip
    - pip3 install -r requirements.txt
    - python3 manage.py test

publish:
  type: deploy
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=rayhan-arwindra --api-key=$HEROKU_API_KEY
  only:
    - master
